> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'GET' \
    'https://api.coaxial.ai/users/list' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>' \
  }'
  ```

  ```python python theme={null}
  import coaxial
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)

  try:
      api_response = coaxial_api.auth_integration.list_users()
      print("The response of AuthIntegrationApi->list_users:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling AuthIntegrationApi->list_users: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "users": [
      {
        "id": "string",
        "email": "string",
        "first": "string",
        "last": "string",
        "imported_at": "2023-08-09T07:09:10.415Z",
        "modified_at": "2023-08-09T07:09:10.415Z",
        "baseUser_id": <your_coaxial_organization_id>,
        "source_metadata": {
          "name": "string",
          "id": <auth_integration_id>
        },
        "resource_list": [
          {
            "name": "string",
            "id": <coaxial_resource_id>
          }
        ]
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /users/list
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /users/list:
    get:
      tags:
        - auth_integration
      summary: List users
      operationId: list_users
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list_users_response'
          description: Successful Response
      security:
        - Authorization: []
components:
  schemas:
    list_users_response:
      properties:
        users:
          items:
            $ref: '#/components/schemas/User'
          title: Users
          type: array
      required:
        - users
      title: list_users_response
      type: object
    User:
      additionalProperties: false
      description: The User model
      properties:
        baseUser_id:
          format: uuid
          title: Baseuser Id
          type: string
        email:
          maxLength: 128
          title: Email
          type: string
        first:
          maxLength: 128
          title: First
          type: string
        id:
          maxLength: 128
          title: Id
          type: string
        imported_at:
          format: date-time
          readOnly: true
          title: Imported At
          type: string
        last:
          maxLength: 128
          title: Last
          type: string
        modified_at:
          format: date-time
          readOnly: true
          title: Modified At
          type: string
        resource_list:
          items:
            $ref: '#/components/schemas/UserInfo'
          title: Resource List
          type: array
        source_metadata:
          allOf:
            - $ref: '#/components/schemas/UserInfo'
          title: Source Metadata
      required:
        - id
        - email
        - first
        - last
        - imported_at
        - modified_at
        - baseUser_id
        - source_metadata
        - resource_list
      title: User
      type: object
    UserInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - id
      title: UserInfo
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````